Subject: Re: [Detnet] RtgDir review: draft-ietf-detnet-ip-over-mpls-04.txt

From: Tomonori Takeda <[email-masked]>
Date: Tue, 07 Jan 2020 09:16:32 +0900

Hi Andy,

Thank you for clarification. I was on New Year Holidays and could not respond.
Suggested change looks good to me.

Tomonori

-----Original Message-----
From: Andrew G. Malis <[email-masked]> 
Sent: Sunday, December 29, 2019 4:01 AM
To: Tomonori Takeda <[email-masked]>
Cc: <[email-masked]> <[email-masked]>; [email-masked]; [email-masked]; detnet WG <[email-masked]>
Subject: Re: RtgDir review: draft-ietf-detnet-ip-over-mpls-04.txt

Tomonori,

Thanks for your review and comments, they are appreciated.

Discussion of DetNet flow aggregation is spread among several of the data plane documents. It starts with sections 3.6.2 and 4.2.1 in draft-ietf-detnet-data-plane-framework, and for IP flows in particular continues in section 4.4 of draft-ietf-detnet-ip in addition to the text you quoted in the MPLS draft. So as discussed in section 5.1 of this draft, when carrying DetNet IP flows over a DetNet MPLS backbone, an operator has the choice of using IP and/or MPLS methods for flow aggregation (thus the use of MAYs in the first paragraph of that section). So for example, to answer your specific question, an operator MAY choose to aggregate multiple DetNet IP flows into one MPLS LSP via the use of IP aggregation.

I think a way to address your request about making this more clear would be to change the section heading for section 5.1 to "DetNet IP over DetNet MPLS Flow Identification and Aggregation Procedures". That will call attention to the section for people interested in aggregation in particular.

Regarding your nits, thanks for noticing the change in section numbers in the referenced documents. Unfortunately, we don't have tools for automatically updating cross-draft section references if they change. And we'll add the abbreviation expansions as well.

Thanks again, and have a happy New Year, Andy

On Thu, Dec 26, 2019 at 8:35 PM Tomonori Takeda <[email-masked] <mailto:[email-masked]> > wrote:

	Hello,
	
	I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or
	routing-related drafts as they pass through IETF last call and IESG review, and sometimes on special request. The purpose of the
	review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see :
	http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir
	
	Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any
	other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft.
	
	Document: draft-ietf-detnet-ip-over-mpls-04.txt
	Reviewer: Tomonori Takeda
	Review Date: Dec 27th, 2019
	IETF LC End Date: Not known
	Intended Status: Standards Track
	
	o Summary:
	I have some minor concerns about this document that I think should be resolved before publication.
	
	o Comments:
	This document specifies data plane procedures for Detnet IP over Detnet MPLS, using Detnet IP and Detnet MPLS specified in other
	documents.
	
	This document is fairly straight-forward based on related documents (detnet-ip, detnet-mpls, detnet-data-plane-framework, RFC8655).
	
	o Major Issues:
	None
	
	o Minor Issues:
	I am a bit confused how "aggregation" is applied in Detnet IP over Detnet MPLS.
	
	In Section 3, it says, "an IP flow is mapped to one or more PWs and MPLS (TE) LSPs."
	
	By reading detnet-mpls, aggregation (aggregating individual flows and their associated resource into a larger aggregate ) is
	achieved via LSP hierarchy.
	
	Does this mean that in Detnet IP over Detnet MPLS context, LSP hierarchy is mandatory for aggregation? Or is it possible to map
	multiple Detnet IP flows into one PW as an aggregate?
	
	I think it is better clarify this in the document.
	
	Nits:
	- It seems text in Section 5.1 references wrong sections. For example,
	  - "the procedures defined in [I-D.ietf-detnet-mpls] Section 6.1." (which does not exist).
	  - "defined in [I-D.ietf-detnet-mpls] Section 5.4." (which does not exist).
	  - "defined in [I-D.ietf-detnet-ip] Section 7.1." (which does not exist).
	
	- It is good to have "PRF" and "PEF/POF" in Section 2.2 (Abbreviations).
	
	Thanks,
	Tomonori

---

From: Balázs Varga A <[email-masked]>
Date: Tue, 7 Jan 2020 14:31:26 +0000

Hi Tomonori/Andy,
Thanks for sorting these comments and nits.
We start to update the text accordingly.
Cheers
Bala'zs

-----Original Message-----
From: Tomonori Takeda <[email-masked]> 
Sent: Tuesday, January 7, 2020 1:17 AM
To: 'Andrew G. Malis' <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; 'detnet WG' <[email-masked]>
Subject: RE: RtgDir review: draft-ietf-detnet-ip-over-mpls-04.txt

Hi Andy,

Tomonori

-----Original Message-----
From: Andrew G. Malis <[email-masked]> 
Sent: Sunday, December 29, 2019 4:01 AM
To: Tomonori Takeda <[email-masked]>
Cc: <[email-masked]> <[email-masked]>; [email-masked]; [email-masked]; detnet WG <[email-masked]>
Subject: Re: RtgDir review: draft-ietf-detnet-ip-over-mpls-04.txt

Tomonori,

	Hello,

	
	
	o Summary:
	
	o Comments:

	o Major Issues:
	None
	
	o Minor Issues:

	

	Nits:

	Thanks,
	Tomonori